Bug 86525 - Split flex into flex-grow/flex-shrink/flex-basis
Summary: Split flex into flex-grow/flex-shrink/flex-basis
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Tony Chang
URL:
Keywords:
Depends on: 89493
Blocks: 62048
  Show dependency treegraph
 
Reported: 2012-05-15 14:16 PDT by Tony Chang
Modified: 2012-06-28 11:06 PDT (History)
5 users (show)

See Also:


Attachments
Patch (44.79 KB, patch)
2012-06-26 16:42 PDT, Tony Chang
no flags Details | Formatted Diff | Diff
Patch for landing (44.96 KB, patch)
2012-06-27 12:00 PDT, Tony Chang
no flags Details | Formatted Diff | Diff
Patch for landing (44.96 KB, patch)
2012-06-27 12:01 PDT, Tony Chang
no flags Details | Formatted Diff | Diff
fix inherit/initial (45.83 KB, patch)
2012-06-28 11:05 PDT, Tony Chang
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tony Chang 2012-05-15 14:16:39 PDT
flex is now a shorthand.  We need to implement the other properties.  Since the preferred size is now called flex-basis, we should do some renaming int he code too.

http://dev.w3.org/csswg/css3-flexbox/#flex-components
Comment 1 Tony Chang 2012-05-15 14:23:28 PDT
also, "on flex items flex-basis of 'auto' computes to computed width/height (as appropriate); on elements that are not flex-items, it always computes to 'auto'"
Comment 2 Tony Chang 2012-06-26 16:42:59 PDT
Created attachment 149629 [details]
Patch
Comment 3 Ojan Vafai 2012-06-27 11:24:05 PDT
(In reply to comment #1)
> also, "on flex items flex-basis of 'auto' computes to computed width/height (as appropriate); on elements that are not flex-items, it always computes to 'auto'"

This is no longer true, but your patch matches the spec.
Comment 4 WebKit Review Bot 2012-06-27 11:27:12 PDT
Comment on attachment 149629 [details]
Patch

Rejecting attachment 149629 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
ng.html
patching file LayoutTests/fast/css/getComputedStyle/computed-style-expected.txt
patching file LayoutTests/fast/css/getComputedStyle/computed-style-without-renderer-expected.txt
patching file LayoutTests/fast/css/getComputedStyle/resources/property-names.js
patching file LayoutTests/svg/css/getComputedStyle-basic-expected.txt

Failed to run "[u'/mnt/git/webkit-commit-queue/Tools/Scripts/svn-apply', u'--force', u'--reviewer', u'Ojan Vafai']" exit_code: 1 cwd: /mnt/git/webkit-commit-queue/

Full output: http://queues.webkit.org/results/13100783
Comment 5 Tony Chang 2012-06-27 12:00:37 PDT
Created attachment 149779 [details]
Patch for landing
Comment 6 Tony Chang 2012-06-27 12:01:04 PDT
Created attachment 149780 [details]
Patch for landing
Comment 7 WebKit Review Bot 2012-06-27 16:05:38 PDT
Comment on attachment 149780 [details]
Patch for landing

Clearing flags on attachment: 149780

Committed r121380: <http://trac.webkit.org/changeset/121380>
Comment 8 WebKit Review Bot 2012-06-27 16:05:46 PDT
All reviewed patches have been landed.  Closing bug.
Comment 9 Tony Chang 2012-06-27 17:04:40 PDT
Reverted r121380 for reason:

Hits an ASSERT in debug

Committed r121387: <http://trac.webkit.org/changeset/121387>
Comment 10 Tony Chang 2012-06-28 11:05:34 PDT
Created attachment 149973 [details]
fix inherit/initial
Comment 11 Tony Chang 2012-06-28 11:06:15 PDT
Committed r121442: <http://trac.webkit.org/changeset/121442>